/*
 * NGramDatabase.java
 *
 * Copyright (c) 2007-2008 Colin Bayer, Douglas Downey, Oren Etzioni,
 *   University of Washington Computer Science and Engineering
 * 
 * See the file "COPYING" in the root directory of this distribution for
 * full licensing information.
 */

public abstract class NGramDatabase {
	public abstract String getLocation();

	public abstract int getMaximumArity();

	public abstract Query executeQuery(Query aQ);
	public abstract long[] getTotalCount(int aArity);
}
